// +build integration

package migrationfixtures

import (
	"github.com/docker/distribution/migrations"
	migrate "github.com/rubenv/sql-migrate"
)

func init() {
	m := &migrations.Migration{Migration: &migrate.Migration{
		Id: "20201027124257_create_post_migration_test_one_table",
		Up: []string{
			`CREATE TABLE IF NOT EXISTS test_one (
                id bigint NOT NULL GENERATED BY DEFAULT AS IDENTITY,
                value text NOT NULL,
                CONSTRAINT pk_test_one PRIMARY KEY (id)
            )`,
		},
		Down: []string{
			"DROP TABLE IF EXISTS test_one CASCADE",
		},
	},
		PostDeployment: true,
	}

	allMigrations = append(allMigrations, m)
}
